function [cdata, clabels] = sampleConstraints(data,labels,p);
% [cdata,  clabels] = sampleConstraints(data,labels,p);
%
% % generating partition level constraints
%
% data:   [nxd]: n objects in a d-dimensional spacedata: 
% labels: [nx1]: labels
% p:      percentage of constraints
%
% Output
% cdata:   data with partition level constraints 
% clabels: corresponding labels


nel = size(data,1);
clas = unique(labels);
cndx = [];
for c = clas'
   ndx = find(labels==c);
   nc =round(length(ndx)*p);
   aa = randperm(length(ndx));
   cndx = [cndx;ndx(aa(1:nc))];
end

cdata = data(cndx,:);
clabels = labels(cndx);
undx = setdiff(1:nel,cndx);
uncdata = data(undx,:);
